Grants, vesting & distributions

List Grant Configurations

Lists org grant configurations with optional warrant include/exclude and per-configuration grant counts.

POSThttps://api.toku.com/tga/list-grant-configurations

Not available to API keys yet. It will need grants:read.

curl --request POST \
  --url 'https://api.toku.com/tga/list-grant-configurations' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "excludeWarrants": true,
  "onlyWarrants": true,
  "includeGrantCount": true
}'
200 response
[
  {
    "grantConfigurationID": "string",
    "name": "string",
    "kind": "RTU",
    "isExercisable": true,
    "useStrike": true,
    "hasDiscountFMV": true,
    "redemptionHold": 0,
    "redemptionCap": 0,
    "redemptionLiftPeriod": 0,
    "grantCount": 0,
    "exercisedOptionsPastTenseLabel": "string",
    "exercisedOptionsPresentTenseLabel": "string",
    "exercisedOptionActionLabel": "string",
    "exercisedOptionPotentialActionLabel": "string",
    "cashRedemptionMethod": true,
    "unitsRedemptionMethod": true,
    "coinMarketCapID": "string",
    "showLtipRedemptionProcessingAlert": true,
    "orgID": "string",
    "currencyID": "string",
    "vestingFrequencyType": "MONTHLY",
    "vestingPeriods": 0,
    "vestingCliffPeriods": 0,
    "vestingCliffPercentage": "string",
    "legacyMigratedAt": "string",
    "legacyModelID": 0,
    "isPerformance": true,
    "grantAssetType": "TOKEN",
    "isCashCompensation": true,
    "exerciseFormFileID": "string",
    "signingTabs": {
      "prefilledTextTabs": [
        {
          "type": "fullLegalName",
          "pageNumber": "string",
          "xPosition": "string",
          "yPosition": "string"
        }
      ],
      "bankTabs": [
        {
          "label": "string",
          "pageNumber": "string",
          "xPosition": "string",
          "yPosition": "string"
        }
      ],
      "signerTabs": [
        {
          "type": "signature",
          "pageNumber": "string",
          "xPosition": "string",
          "yPosition": "string",
          "isRecipient": true,
          "name": "string",
          "email": "string"
        }
      ]
    },
    "exerciseLockupMonths": 0,
    "optionExpiryYears": 0,
    "optionExerciseWindowDays": 0,
    "createdAt": "string",
    "updatedAt": "string",
    "exerciseFormFile": {
      "fileID": "string",
      "orgID": "string",
      "fileName": "string",
      "mimeType": "string",
      "fileKey": "string",
      "fileBucket": "string",
      "fileUploaded": "string",
      "fileSizeInBytes": "string",
      "createdByUserID": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "legacyMigratedAt": "string",
      "legacyModelID": 0,
      "type": "string",
      "fileURL": "string",
      "fileDownloadURL": "string"
    }
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

excludeWarrantsboolean
onlyWarrantsboolean
includeGrantCountboolean

Response

200Successful response
grantConfigurationIDstringrequired
namestringrequired
kindstringrequired

Available options: RTU, RTA, TOKEN_BONUS, TPA, OPTION, WARRANT, LTIP, TSA, FTIA, PHANTOMUNITS, FOUNDERROUND, FTI, TOKENSUB, PERFORMANCE

isExercisablebooleanrequired
useStrikeboolean
hasDiscountFMVboolean
redemptionHoldnumber
redemptionCapnumber
redemptionLiftPeriodnumber
grantCountnumberrequired
exercisedOptionsPastTenseLabelstring
exercisedOptionsPresentTenseLabelstring
exercisedOptionActionLabelstring
exercisedOptionPotentialActionLabelstring
cashRedemptionMethodboolean
unitsRedemptionMethodboolean
coinMarketCapIDstring
showLtipRedemptionProcessingAlertboolean
orgIDstring
currencyIDstring | null
vestingFrequencyTypestring | null

Available options: MONTHLY, QUARTERLY, SEMIANNUALLY, YEARLY, CUSTOM, DAILY, WEEKLY, null

vestingPeriodsnumber | null
vestingCliffPeriodsnumber | null
vestingCliffPercentagestring | null

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

legacyMigratedAtstring | null
legacyModelIDnumber | null
isPerformanceboolean | null
grantAssetTypestring | null

Available options: TOKEN, FIAT, null

isCashCompensationboolean
exerciseFormFileIDstring | null
signingTabsobject | null
Show child attributes
prefilledTextTabsobject[]required
Show child attributes
typestringrequired

Available options: fullLegalName, exerciseDate, grantDate, numberOfUnitsToRedeem, redemptionMethod

pageNumberstringrequired
xPositionstringrequired
yPositionstringrequired
bankTabsobject[]required
Show child attributes
labelstringrequired
pageNumberstringrequired
xPositionstringrequired
yPositionstringrequired
signerTabsobject[]required
Show child attributes
typestring

Available options: signature, initial, dateSigned

pageNumberstringrequired
xPositionstringrequired
yPositionstringrequired
isRecipientbooleanrequired
namestringrequired
emailstringrequired
exerciseLockupMonthsnumber | null
optionExpiryYearsnumber | null
optionExerciseWindowDaysnumber | null
createdAtstring
updatedAtstring
exerciseFormFileobject | null
Show child attributes
fileIDstringrequired
orgIDstringrequired
fileNamestringrequired
mimeTypestringrequired
fileKeystringrequired
fileBucketstringrequired
fileUploadedstring | nullrequired
fileSizeInBytesstring | numberrequired
createdByUserIDstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
legacyMigratedAtstring | nullrequired
legacyModelIDnumber | nullrequired
typestringrequired
fileURLstringrequired
fileDownloadURLstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits